package com.hotent.uc.manager;

import com.hotent.uc.model.UserUnite;

import java.util.List;

import com.hotent.base.manager.BaseManager;

/**
 * 用户与外部通讯录关系表 服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author pangquan
 * @since 2020-10-30
 */
public interface UserUniteManager extends BaseManager<UserUnite> {

	void updateUserUnite(UserUnite userUnite);

	void updateUserUniteList(List<UserUnite> userUniteList);

	String getDingtalkIdsByUserIds(String userIds);

	/**
	 * 根据userIds获取企业微信ids
	 * @param userIds
	 * @return
	 */
	String getWxWorkIdsByUserIds(String userIds);

	/**
	 * 根据userIds获取公众号openids
	 * @param userIds
	 * @return
	 */
	String getOpenIdsByUserIds(String userIds);
}
